<template>
  <div class="base-input__wrapper">
    <InputText :id="id" :type="type" v-model="model" class="base-input" />
    <label :for="id" class="base-imput__label">{{ label }}</label>
  </div>
</template>
<script lang="ts">
import { defineComponent, computed } from "vue"
import InputText from "primevue/inputtext"
export default defineComponent({
  name: "BaseInput",
  components: {
    InputText,
  },
  props: {
    label: {
      type: String,
    },
    id: {
      type: [String, Number],
      required: true,
    },
    type: {
      type: String as () => "text" | "number" | "email",
      default: "text",
    },
    modelValue: {
      type: String,
    },
  },
  setup(props, { emit }) {
    const model = computed({
      get: () => props.modelValue,
      set: value => emit("update:modelValue", value),
    })
    return { model }
  },
})
</script>
